APM을 조만간 업그레이드 해야 할 거 같은데 조언 부탁드립니다. > 서버관리자

서버관리자

서버관리자 모임 게시판 입니다.

APM을 조만간 업그레이드 해야 할 거 같은데 조언 부탁드립니다. 정보

APM을 조만간 업그레이드 해야 할 거 같은데 조언 부탁드립니다.

본문

OS는 CentOS6입니다.

VPS를 사용 중인데 접속자 많이 없을 때 서버 프로그램을 좀 업그레이드 하려고 합니다.

Apache는 2.2 버전인데 2018년 현재 최신 버전이 2.4라고 하네요. 업그레이드 해야 할까요? 큰 문제 없으면 넘어가려고 합니다.

 

PHP는 5.3입니다. 이걸 7.2로 업그레이드 하려고 합니다. 블로그를 조금 검색해 보니 5.3을 먼저 제거하고 7.2를 재설치하라고 하네요. 그런데 5.3 제거 방법이 찾기가 어렵네요. 혹시 아는 포스팅 있으면 소개 좀. ^^

 

MySQL은 확인해 보니 5.1.73입니다. 이것도 8.0으로 업그레이드 해야 PHP7.1 이상부터 호환 된다고 해서 같이 하려고 합니다. 이것도 MySQL 구버전을 먼저 제거하고 신버전으로 설치하는 순서로 해야 할까요? 설치하는 방법은 안내가 많은데 제거 방법은 많이 없네요. ㅠㅠ

그리고 DB를 5.1에서 Dump로 백업해서 8에서 다시 복원이 될까요?

 

그럼 잘 부탁드리겠습니다.

공감
0

댓글 2개

최초 APM 설치시 YUM으로 했는지 소스설치로 했는지에 따라 업그레이드방법이 틀립니다.
DB는 백업해서 다시 설치하면 됩니다만, 구버전과 신버전이 패스워드 체계가 다를수 있으니 확인을 먼저 하시는게 좋을듯 싶네요.

조만간 이전에 배포한 APM 자동설치 스크립트( https://sir.kr/so_server/1597 )를 업데이트 할 예정이긴 합니다만 새로 설치만 적용이 가능 할겁니다.
전체 605 |RSS
서버관리자 내용 검색

회원로그인

진행중 포인트경매

  1. 참여13 회 시작21.11.30 16:15 종료21.12.07 16:15
  2. 참여1 회 시작21.11.30 15:56 종료21.12.02 15:56
(주)에스아이알소프트 / 대표:홍석명 / (06211) 서울특별시 강남구 역삼동 707-34 한신인터밸리24 서관 1404호 / E-Mail: admin@sir.kr
사업자등록번호: 217-81-36347 / 통신판매업신고번호:2014-서울강남-02098호 / 개인정보보호책임자:김민섭(minsup@sir.kr)
© SIR SOFT